List lifetime campaign executions
curl --request GET \
--url https://app.nudgen.net/api/v1/campaigns/{id}/executions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nudgen.net/api/v1/campaigns/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/campaigns/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"executions": [
{
"id": "<string>",
"eventId": "<string>",
"eventName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"source": "<string>",
"campaignVersion": 123,
"status": "pending",
"failureCode": "<string>",
"failureMessage": "<string>",
"providerMessageId": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"processingStartedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"skippedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contact": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"externalId": "<string>"
}
}
],
"nextCursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API reference
List lifetime campaign executions
Lists execution history for a lifetime campaign in the active workspace. Search treats values containing @ as an exact email lookup; other values search external contact IDs. Invalid status filters are ignored.
GET
/
api
/
v1
/
campaigns
/
{id}
/
executions
List lifetime campaign executions
curl --request GET \
--url https://app.nudgen.net/api/v1/campaigns/{id}/executions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nudgen.net/api/v1/campaigns/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/campaigns/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"executions": [
{
"id": "<string>",
"eventId": "<string>",
"eventName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"source": "<string>",
"campaignVersion": 123,
"status": "pending",
"failureCode": "<string>",
"failureMessage": "<string>",
"providerMessageId": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"processingStartedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"skippedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contact": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"externalId": "<string>"
}
}
],
"nextCursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Personal Access Token created from Settings -> API Keys.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Available options:
pending, queued, processing, sent, skipped, cancelled, failed, delivery_unknown Was this page helpful?